Uses of Class
com.eqixiac.equinix.fabric.model.json.creators.PortOperator.PortBuilder
Packages that use PortOperator.PortBuilder
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of PortOperator.PortBuilder in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return PortOperator.PortBuilderModifier and TypeMethodDescriptionPorts.define()Begins the fluent builder for creating a new port (POST /fabric/v4/ports). -
Uses of PortOperator.PortBuilder in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return PortOperator.PortBuilder -
Uses of PortOperator.PortBuilder in com.eqixiac.equinix.fabric.model.implementation
Constructors in com.eqixiac.equinix.fabric.model.implementation with parameters of type PortOperator.PortBuilderModifierConstructorDescriptionPortCreatorJson(PortOperator.PortBuilder builder) Constructs the request from a configuredPortOperator.PortBuilder. -
Uses of PortOperator.PortBuilder in com.eqixiac.equinix.fabric.model.json.creators
Methods in com.eqixiac.equinix.fabric.model.json.creators that return PortOperator.PortBuilderModifier and TypeMethodDescriptionPortOperator.PortBuilder.accountNumber(Long accountNumber) Sets the BMMR type (SELForEQUINIX); mandatory when the connectivity source type isBMMR.PortOperator.PortBuilder.connectivitySourceType(ConnectivitySourceType connectivitySourceType) Sets the port connectivity type (specPortRequest.connectivitySourceType:COLO,BMMRorREMOTE).PortOperator.create()Begins the fluent builder for creating a new port.PortOperator.PortBuilder.demarcationPointIbx(String demarcationPointIbx) Sets the A-side/Equinix IBX for the demarcation point.PortOperator.PortBuilder.dryRun()Marks this create as a validate-only dry run:create()sendsPOST /fabric/v4/ports?dryRun=true(spec: "option to verify that API calls will succeed"; boolean, defaultfalse).PortOperator.PortBuilder.lagEnabled(Boolean lagEnabled) PortOperator.PortBuilder.physicalPortsCount(Integer physicalPortsCount) PortOperator.PortBuilder.physicalPortsSpeed(Integer physicalPortsSpeed) PortOperator.PortBuilder.physicalPortsType(PhysicalPortType physicalPortsType) PortOperator.PortBuilder.serviceCode(PortServiceCode serviceCode) Sets the service code identifying the service type associated with this port (CX,IX,IAorMC).Sets the z-side/Equinix IBX for the tether.PortOperator.PortBuilder.withDemarcationPoint(DemarcationPoint demarcationPoint) Sets the customer demarcation point (PortDemarcationPoint).PortOperator.PortBuilder.withEncapsulation(Encapsulation encapsulation) Sets the port letters of authorization (PortLoaentries).PortOperator.PortBuilder.withNotifications(List<PortNotification> notifications) Sets the notification preferences (PortNotificationentries).Sets the order details (purchase order, customer reference id, signature), following the spec'sPortOrderrequest shape.PortOperator.PortBuilder.withPackage(PackageRef portPackage) Sets the billing package for the port (Package:STANDARD,UNLIMITEDorUNLIMITED_PLUS).PortOperator.PortBuilder.withPhysicalPorts(List<PhysicalPort> physicalPorts) Sets the physical ports that implement this port.PortOperator.PortBuilder.withProject(Project project) PortOperator.PortBuilder.withRedundancy(Redundancy redundancy) Sets the redundancy configuration (PortRedundancy), e.g. the primary port's uuid as group and aSECONDARYpriority when ordering a redundant port.